---
search:
  tags:
    - Accounts
    - POST
seo:
  description: >-
    Get account badge statistics. Reference for the POST
    /v1/account.getBadgeStats endpoint in the SteamSets API.
sidebar:
  label: Get account badge statistics
  badge: POST
title: Get account badge statistics
type: openapi-operation
---
`POST /v1/account.getBadgeStats`

**Request body** (`application/json`, required)

- `id` (IDSearch)
- `vanity` (VanitySearch)

Request body example:

```json
{
  "id": {
    "accountId": 0,
    "steamId64": "stringstringstrin"
  },
  "vanity": {
    "type": "steam",
    "value": "string"
  }
}
```

**Responses**

- `200` — OK
- `400` — Bad Request
- `401` — Unauthorized
- `404` — Not Found
- `422` — Unprocessable Entity
- `500` — Internal Server Error

Response example, 200:

```json
{
  "count": {
    "foil": 0,
    "normal": 0,
    "special": 0
  },
  "levels": {
    "property1": 0,
    "property2": 0
  },
  "scarcities": {
    "property1": 0,
    "property2": 0
  },
  "totalBadges": 123456,
  "xp": {
    "foil": 0,
    "normal": 0
  }
}
```
